> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a connector request

> Currently Shopify only. Proxies HTTP requests to the linked connector's platform using the tenant's credentials.

> [!WARNING]
>
> **Beta — currently Shopify only.** Send a GET or POST request using a linked
> tenant's Shopify credentials. The outer hotglue request is always POST.


## OpenAPI

````yaml post /{env_id}/{flow}/{user_id}/connectors/{connector_id}/proxy/http
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow}/{user_id}/connectors/{connector_id}/proxy/http:
    post:
      summary: Send a connector request
      description: >-
        Currently Shopify only. Proxies HTTP requests to the linked connector's
        platform using the tenant's credentials.
      operationId: request-connector
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: user_id
          in: path
          description: ID of linked tenant
          schema:
            type: string
          required: true
        - name: connector_id
          in: path
          description: Must start with shopify, for example shopify:oauth
          schema:
            type: string
            pattern: ^shopify
            example: shopify:oauth
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - url_path
                - method
              properties:
                url_path:
                  type: string
                  description: API path to request on the linked platform.
                  example: /admin/api/2026-07/graphql.json
                method:
                  type: string
                  enum:
                    - GET
                    - POST
                  description: Inner request method; the outer request is always POST.
                headers:
                  type:
                    - object
                    - 'null'
                  additionalProperties:
                    type: string
                  description: Optional headers
                query_params:
                  type:
                    - object
                    - 'null'
                  additionalProperties:
                    type: string
                  description: Optional query parameters appended to url_path.
                body:
                  description: Optional inner request body; any JSON value, including null.
            example:
              url_path: /admin/api/2026-07/graphql.json
              method: POST
              headers:
                Content-Type: application/json
              body:
                query: '{ shop { name } }'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - result
                properties:
                  result:
                    type: object
                    required:
                      - status_code
                      - body
                    properties:
                      status_code:
                        type: integer
                      body:
                        type: string
              example:
                result:
                  status_code: 200
                  body: '{"data":{"shop":{"name":"Example store"}}}'
        '400':
          description: >-
            Invalid request, unsupported connector, missing linked token, or
            relay transport failure.
        '403':
          description: >-
            Insufficient permissions or a missing/invalid required tenant JWT
            (including insufficient JWT scopes).
        '429':
          description: Linked connector file is locked.
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.